% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/turtle-functions.R
\docType{methods}
\name{left}
\alias{left}
\alias{left,agentMatrix,numeric-method}
\title{Rotate to the left}
\usage{
left(turtles, angle)

\S4method{left}{agentMatrix,numeric}(turtles, angle)
}
\arguments{
\item{turtles}{AgentMatrix object representing the moving agents.}

\item{angle}{Numeric. Vector of angles in degrees by which to rotate the \code{turtles}'
headings. Must be of length 1 or of length \code{turtles}.}
}
\value{
AgentMatrix representing the \code{turtles} with updated "heading" values.
}
\description{
Rotate the \code{turtles}'s headings to the left of \code{angle} degrees.
}
\details{
If a given \code{angle} value is negative, then the turtle rotates to the right.
}
\examples{
w1 <- createWorld(minPxcor = 0, maxPxcor = 4, minPycor = 0, maxPycor = 4)
t1 <- createTurtles(n = 10, world = w1)
of(agents = t1, var = "heading")
t1 <- left(turtles = t1, angle = 180)
of(agents = t1, var = "heading")


}
\references{
Wilensky, U. 1999. NetLogo. http://ccl.northwestern.edu/netlogo/.
            Center for Connected Learning and Computer-Based Modeling,
            Northwestern University. Evanston, IL.
}
\seealso{
\url{https://ccl.northwestern.edu/netlogo/docs/dictionary.html#left}
}
\author{
Sarah Bauduin
}
